Package com.enonic.xp.portal.url

## Class IdentityUrlParams

- java.lang.Object
- - com.enonic.xp.portal.url.AbstractUrlParams<IdentityUrlParams>
  - - com.enonic.xp.portal.url.IdentityUrlParams

-     @PublicApi
      public final class IdentityUrlParams
      extends AbstractUrlParams<IdentityUrlParams>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IdentityUrlParams()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `buildToString​(MoreObjects.ToStringHelper helper)` |
    `protected ContextPathType` | `getDefaultContextPath()` |
    `String` | `getIdProviderFunction()` |
    `IdProviderKey` | `getIdProviderKey()` |
    `String` | `getRedirectionUrl()` |
    `IdentityUrlParams` | `idProviderFunction​(String value)` |
    `IdentityUrlParams` | `idProviderKey​(IdProviderKey value)` |
    `IdentityUrlParams` | `redirectionUrl​(String value)` |
    `IdentityUrlParams` | `setAsMap​(Multimap<String,​String> map)` |

    - ### Methods inherited from class com.enonic.xp.portal.url.AbstractUrlParams

      `contextPathType, getContextPathType, getParams, getPortalRequest, getType, param, portalRequest, singleValue, toString, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentityUrlParams

          public IdentityUrlParams()

  - ### Method Detail

    - #### getIdProviderKey

          public IdProviderKey getIdProviderKey()

    - #### getIdProviderFunction

          public String getIdProviderFunction()

    - #### getRedirectionUrl

          public String getRedirectionUrl()

    - #### idProviderKey

          public IdentityUrlParams idProviderKey​(IdProviderKey value)

    - #### idProviderFunction

          public IdentityUrlParams idProviderFunction​(String value)

    - #### redirectionUrl

          public IdentityUrlParams redirectionUrl​(String value)

    - #### getDefaultContextPath

          protected ContextPathType getDefaultContextPath()

      Overrides:
        `getDefaultContextPath` in class `AbstractUrlParams<IdentityUrlParams>`

    - #### setAsMap

          public IdentityUrlParams setAsMap​(Multimap<String,​String> map)

      Overrides:
        `setAsMap` in class `AbstractUrlParams<IdentityUrlParams>`

    - #### buildToString

          protected void buildToString​(MoreObjects.ToStringHelper helper)

      Overrides:
        `buildToString` in class `AbstractUrlParams<IdentityUrlParams>`